//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "twowind.h"
#include "rchart.hpp"
#include "math.h"
//---------------------------------------------------------------------------
#pragma link "RChart"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
const int MaxJ = 66;
int i,j;
int Signi;

RChart2->RangeLoX = -3;
RChart2->RangeHiX = 3;
RChart2->RangeLoY = 0;
RChart2->RangeHiY = 110;
Button1->Enabled = false;
Button2->Enabled = true;
Button3->Enabled = false;
j=1;
Signi = 1;
ProgEnd = false;
while (! ProgEnd)
  {
  RChart1->ClearGraf();                              // window 1
  RChart1->MarkAt (sin((j)/9.0),sin((j)/7.0),16);
  RChart1->MoveTo (sin((j)/9.0),sin((j)/7.0));
  for (i=1; i<=25; i++)
    {
    RChart1->DrawTo (sin((i+j)/9.0),sin((i+j)/7.0));
    RChart1->MarkAt (sin((i+j)/9.0),sin((i+j)/7.0),16);
    }
  RChart1->ShowGraf();

  RChart2->ClearGraf();                              // window 2
  RChart2->MoveTo (0,0);
  RChart2->DataColor = clBlack;
  for (i=1; i<=50; i++)
    RChart2->DrawTo (exp(i/150.0)*sin(i*j/800.0),i);
  RChart2->DataColor = clWhite;
  for (i=51; i<=100; i++)
    RChart2->DrawTo (exp(i/150.0)*sin(i*j/800.0),i);
  RChart2->ShowGraf();

  j = j+Signi;
  if (j > MaxJ)
    Signi = -1;
  if (j < -MaxJ)
    Signi = +1;
  Application->ProcessMessages();
  }
Button2->Enabled = false;
Button1->Enabled = true;
Button3->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
Button2->Enabled = false;
Button1->Enabled = true;
Button3->Enabled = true;
ProgEnd = True;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
RChart1->CopyToClipboard();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
Close();	
}
//---------------------------------------------------------------------------